mbedtls_pk_info_t Struct Reference

`#include <pk_internal.h>`

## Data Fields

mbedtls_pk_type_t | type
| Public key type. More...
const char * | name
| Type name. More...
size_t(* | get_bitlen )(const void *)
| Get key size in bits. More...
int(* | can_do )(mbedtls_pk_type_t type)
| Tell if the context implements this type (e.g. More...
int(* | verify_func )(void *ctx, mbedtls_md_type_t md_alg, const unsigned char *hash, size_t hash_len, const unsigned char *sig, size_t sig_len)
| Verify signature. More...
int(* | sign_func )(void *ctx, mbedtls_md_type_t md_alg, const unsigned char *hash, size_t hash_len, unsigned char *sig, size_t *sig_len, int(*f_rng)(void *, unsigned char *, size_t), void *p_rng)
| Make signature. More...
int(* | decrypt_func )(void *ctx, const unsigned char *input, size_t ilen, unsigned char *output, size_t *olen, size_t osize, int(*f_rng)(void *, unsigned char *, size_t), void *p_rng)
| Decrypt message. More...
int(* | encrypt_func )(void *ctx, const unsigned char *input, size_t ilen, unsigned char *output, size_t *olen, size_t osize, int(*f_rng)(void *, unsigned char *, size_t), void *p_rng)
| Encrypt message. More...
int(* | check_pair_func )(const void *pub, const void *prv)
| Check public-private key pair. More...
void *(* | ctx_alloc_func )(void)
| Allocate a new context. More...
void(* | ctx_free_func )(void *ctx)
| Free the given context. More...
void(* | debug_func )(const void *ctx, mbedtls_pk_debug_item *items)
| Interface with the debug module. More...

## Detailed Description

Definition at line 35 of file pk_internal.h.

## Field Documentation

int(* mbedtls_pk_info_t::can_do) (mbedtls_pk_type_t type)

Tell if the context implements this type (e.g.

ECKEY can do ECDSA)

Definition at line 47 of file pk_internal.h.

int(* mbedtls_pk_info_t::check_pair_func) (const void *pub, const void *prv)

Check public-private key pair.

Definition at line 74 of file pk_internal.h.

void*(* mbedtls_pk_info_t::ctx_alloc_func) (void)

Allocate a new context.

Definition at line 77 of file pk_internal.h.

void(* mbedtls_pk_info_t::ctx_free_func) (void *ctx)

Free the given context.

Definition at line 80 of file pk_internal.h.

void(* mbedtls_pk_info_t::debug_func) (const void *ctx, mbedtls_pk_debug_item *items)

Interface with the debug module.

Definition at line 83 of file pk_internal.h.

int(* mbedtls_pk_info_t::decrypt_func) (void *ctx, const unsigned char *input, size_t ilen, unsigned char *output, size_t *olen, size_t osize, int(*f_rng)(void *, unsigned char *, size_t), void *p_rng)

Decrypt message.

Definition at line 62 of file pk_internal.h.

int(* mbedtls_pk_info_t::encrypt_func) (void *ctx, const unsigned char *input, size_t ilen, unsigned char *output, size_t *olen, size_t osize, int(*f_rng)(void *, unsigned char *, size_t), void *p_rng)

Encrypt message.

Definition at line 68 of file pk_internal.h.

size_t(* mbedtls_pk_info_t::get_bitlen) (const void *)

Get key size in bits.

Definition at line 44 of file pk_internal.h.

const char* mbedtls_pk_info_t::name

Type name.

Definition at line 41 of file pk_internal.h.

int(* mbedtls_pk_info_t::sign_func) (void *ctx, mbedtls_md_type_t md_alg, const unsigned char *hash, size_t hash_len, unsigned char *sig, size_t *sig_len, int(*f_rng)(void *, unsigned char *, size_t), void *p_rng)

Make signature.

Definition at line 55 of file pk_internal.h.

mbedtls_pk_type_t mbedtls_pk_info_t::type

Public key type.

Definition at line 38 of file pk_internal.h.

int(* mbedtls_pk_info_t::verify_func) (void *ctx, mbedtls_md_type_t md_alg, const unsigned char *hash, size_t hash_len, const unsigned char *sig, size_t sig_len)

Verify signature.

Definition at line 50 of file pk_internal.h.

The documentation for this struct was generated from the following file:

- pk_internal.h